[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TOrderedList.Pop

Remove an element from the list.

## Declaration

Source position: contnrs.pp line 143

`public function TOrderedList.Pop: Pointer;`

## Function result

The element removed from the list.

## Description

Pop removes an element from the list, and returns the element that was removed from the list. If no element is on the list, Nil is returned.

## Errors

None.

## See also

TOrderedList.Peek |  | Return the next element to be popped from the list.
TOrderedList.Push |  | Push another element on the list.

Documentation generated on: Feb 26 2014